package com.fuzamei.web;

import java.util.Map;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.alibaba.fastjson.JSON;
import com.fuzamei.baseTest.BaseJunit4Test;
import com.fuzamei.entity.Params;

public class CargoDeliverActionTest extends BaseJunit4Test{

	@Autowired
	private CargoDeliverAction cargoDeliverAction;
	
	@Test//测试【供应商】查询订单功能
	public void test01(){
		Params params=new Params();
		params.setUserId(9008);
		params.setPage(1);
		params.setOrderId(100000001);
		params.setCarNo("浙A9819Y");
		params.setStatusId(null);
		params.setStartTime(null);
		params.setEndTime(1516955480353L);
		Map<String, Object> result = cargoDeliverAction.queryOrdersByCarrier(params);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	
	@Test//测试订单跟踪
	public void test02(){
		Params params=new Params();
		params.setUserId(9007);
		params.setOrderId(100000001);
		Map<String, Object> result = cargoDeliverAction.orderTracking(params);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	
}
